<?php
namespace Claromentis\Stat;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] = (@$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] ?: array()) + array("_cfe3120f54395b670652b38c2d" . "0a8e88" => base64_decode("c3" . "Vi" . "c3" . "Ry"), "_aed8da0f19091214b78f" . "80351048517c" => base64_decode("c3R" . "ybG" . "Vu"), "_f61cbfe09f839854b95117fe13b4" . "a1ba" => base64_decode("c3Ryc" . "G9z"), "_70979d287fa2c9" . "8d21aa07834c259" . "a52" => base64_decode("c3RydG9sb3" . "dlcg=="), "_d706c160e45bf7434fff82a5976" . "f0e19" => base64_decode("YXJyYXlfa" . "2V5cw=="));
use Pimple\Container;






class StatPluginProvider
{
    private $plugins = [];
    private $container = null;
    const STAT_APP_NAME_PREFIX = 'stat.provider.';
    
    
    
    
    
    
    public function __construct(Container $_5e4594441b0e531bfd6f0011e0327611)
    {
        $this->container = $_5e4594441b0e531bfd6f0011e0327611;
    }
    
    
    
    
    protected function FindPluginsKeys()
    {
        if (!empty($this->plugins)) {
            return;
        }
        $_dff05f62bb87399254f2155a31e58365 = $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_aed8da0f19091214b78f803" . "51048517c"](self::STAT_APP_NAME_PREFIX);
        foreach ($this->container->keys() as $key) {
            if ($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_f61cbfe09f839854b" . "95117fe13b4a1ba"]($key, self::STAT_APP_NAME_PREFIX) === 0) {
                $this->plugins[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_cfe3120f54395b670" . "652b38c2d0a8e88"]($key, $_dff05f62bb87399254f2155a31e58365)] = 1;
            }
        }
    }
    
    
    
    
    
    
    public function GetPluginsKeys()
    {
        $this->FindPluginsKeys();
        return $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_d706c160e45bf7434fff82" . "a5976f0e19"]($this->plugins);
    }
    
    
    
    
    
    
    
    
    public function GetPlugin(string $name)
    {
        $service_name = self::STAT_APP_NAME_PREFIX . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_70979d287fa2c98d21aa07834c2" . "59a52"]($name);
        $_38198dbb7190fed0f875632ecef1ac6f = null;
        if (isset($this->container[$service_name])) {
            $_38198dbb7190fed0f875632ecef1ac6f = $this->container[$service_name];
        }
        return $_38198dbb7190fed0f875632ecef1ac6f;
    }
}